# NVPresentVideo (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVPresentVideo

    java.lang.Object
      org.lwjgl.opengl.NVPresentVideo

    public final class NVPresentVideo

extends java.lang.Object

Field Summary
`static int` `FIELDS_NV` Accepted by the <type> parameter of PresentFrameKeyedNV and PresentFrameDualFillNV:
`static int` `GL_CURRENT_TIME_NV` Accepted by the <pname> parameter of GetVideoivNV, GetVideouivNV, GetVideoi64vNV, GetVideoui64vNV:
`static int` `GL_FRAME_NV` Accepted by the <type> parameter of PresentFrameKeyedNV and PresentFrameDualFillNV:
`static int` `GL_NUM_FILL_STREAMS_NV` Accepted by the <pname> parameter of GetVideoivNV, GetVideouivNV, GetVideoi64vNV, GetVideoui64vNV:
`static int` `GL_NUM_VIDEO_SLOTS_NV` Accepted by the <attribute> parameter of NVPresentVideoUtil.glQueryContextNV:
`static int` `GL_PRESENT_DURATION_NV` Accepted by the <target> parameter of GetQueryiv:
`static int` `GL_PRESENT_TIME_NV` Accepted by the <target> parameter of GetQueryiv:

Method Summary
`static long` `glGetVideoi64NV(int video_slot, int pname)` Overloads glGetVideoi64vNV.
`static int` `glGetVideoiNV(int video_slot, int pname)` Overloads glGetVideoivNV.
`static void` `glGetVideoNV(int video_slot, int pname, java.nio.IntBuffer params)`
`static void` `glGetVideoNV(int video_slot, int pname, java.nio.LongBuffer params)`
`static long` `glGetVideoui64NV(int video_slot, int pname)` Overloads glGetVideoui64vNV.
`static int` `glGetVideouiNV(int video_slot, int pname)` Overloads glGetVideouivNV.
`static void` `glGetVideouNV(int video_slot, int pname, java.nio.IntBuffer params)`
`static void` `glGetVideouNV(int video_slot, int pname, java.nio.LongBuffer params)`
`static void` `glPresentFrameDualFillNV(int video_slot, long minPresentTime, int beginPresentTimeId, int presentDurationId, int type, int target0, int fill0, int target1, int fill1, int target2, int fill2, int target3, int fill3)`
`static void` `glPresentFrameKeyedNV(int video_slot, long minPresentTime, int beginPresentTimeId, int presentDurationId, int type, int target0, int fill0, int key0, int target1, int fill1, int key1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_FRAME_NV

    public static final int GL_FRAME_NV

  Accepted by the <type> parameter of PresentFrameKeyedNV and PresentFrameDualFillNV:

  See Also:
    Constant Field Values

### FIELDS_NV

    public static final int FIELDS_NV

  Accepted by the <type> parameter of PresentFrameKeyedNV and PresentFrameDualFillNV:

  See Also:
    Constant Field Values

### GL_CURRENT_TIME_NV

    public static final int GL_CURRENT_TIME_NV

  Accepted by the <pname> parameter of GetVideoivNV, GetVideouivNV, GetVideoi64vNV, GetVideoui64vNV:

  See Also:
    Constant Field Values

### GL_NUM_FILL_STREAMS_NV

    public static final int GL_NUM_FILL_STREAMS_NV

  Accepted by the <pname> parameter of GetVideoivNV, GetVideouivNV, GetVideoi64vNV, GetVideoui64vNV:

  See Also:
    Constant Field Values

### GL_PRESENT_TIME_NV

    public static final int GL_PRESENT_TIME_NV

  Accepted by the <target> parameter of GetQueryiv:

  See Also:
    Constant Field Values

### GL_PRESENT_DURATION_NV

    public static final int GL_PRESENT_DURATION_NV

  Accepted by the <target> parameter of GetQueryiv:

  See Also:
    Constant Field Values

### GL_NUM_VIDEO_SLOTS_NV

    public static final int GL_NUM_VIDEO_SLOTS_NV

  Accepted by the <attribute> parameter of NVPresentVideoUtil.glQueryContextNV:

  See Also:
    Constant Field Values

Method Detail

### glPresentFrameKeyedNV

    public static void glPresentFrameKeyedNV(int video_slot,
                                             long minPresentTime,
                                             int beginPresentTimeId,
                                             int presentDurationId,
                                             int type,
                                             int target0,
                                             int fill0,
                                             int key0,
                                             int target1,
                                             int fill1,
                                             int key1)

### glPresentFrameDualFillNV

    public static void glPresentFrameDualFillNV(int video_slot,
                                                long minPresentTime,
                                                int beginPresentTimeId,
                                                int presentDurationId,
                                                int type,
                                                int target0,
                                                int fill0,
                                                int target1,
                                                int fill1,
                                                int target2,
                                                int fill2,
                                                int target3,
                                                int fill3)

### glGetVideoNV

    public static void glGetVideoNV(int video_slot,
                                    int pname,
                                    java.nio.IntBuffer params)

### glGetVideoiNV

    public static int glGetVideoiNV(int video_slot,
                                    int pname)

  Overloads glGetVideoivNV.

### glGetVideouNV

    public static void glGetVideouNV(int video_slot,
                                     int pname,
                                     java.nio.IntBuffer params)

### glGetVideouiNV

    public static int glGetVideouiNV(int video_slot,
                                     int pname)

  Overloads glGetVideouivNV.

### glGetVideoNV

    public static void glGetVideoNV(int video_slot,
                                    int pname,
                                    java.nio.LongBuffer params)

### glGetVideoi64NV

    public static long glGetVideoi64NV(int video_slot,
                                       int pname)

  Overloads glGetVideoi64vNV.

### glGetVideouNV

    public static void glGetVideouNV(int video_slot,
                                     int pname,
                                     java.nio.LongBuffer params)

### glGetVideoui64NV

    public static long glGetVideoui64NV(int video_slot,
                                        int pname)

  Overloads glGetVideoui64vNV.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.